#ifndef OZRP_H_INCLUDED
#define OZRP_H_INCLUDED

struct ozrp_show_data_ball_t {
  double x;
  double y;
};

struct ozrp_show_data_player_t {
  int type;
  double angle;
  double x;
  double y;
};

struct ozrp_show_data_t {
  int time;
  ozrp_show_data_ball_t ball;
  ozrp_show_data_player_t players[22];
};

struct ozrp_game_data_t {
  int time;
  int play_mode;
  int my_score;
  int their_score;
};

struct ozrp_body_data_t {
  int time;
  double stamina;
  double effort;
  double recovery;
};

#endif //OZRP_H_INCLUDED
