#ifndef OZRP_WS_H
#define OZRP_WS_H

#define BIOS_INLINE
/* #include <stdio.h> */
#include <stdlib.h>

#include <sys/bios.h>
#include <sys/libwwc.h>

#include <common/ozrp_ws.h>



/* field.c */
void field_init();

/* comm.c */
void ozrp_comm_init();
void ozrp_comm_close();
void key_check();

/* text.c */
void ozrp_text_init();
int ozrp_put_char(int l, int col, char c);
void ozrp_put_string(int l, int col, char *str);

/* player.c */

/* pointer.c */

/* display.c */
void ozrp_pset(int x, int y, int col);
void ozrp_hline(int x0, int y, int x1, int col);
void ozrp_vline(int x, int y0, int y1, int col);
void ozrp_box(int x, int y, int x2, int y2, int col);
void ozrp_fill_box(int x, int y, int x2, int y2, int col);
void ozrp_circle(int x, int y, int r, int col);

#define PLT_FIELD   1
#define PLT_SELF    12
#define PLT_MEMBER  13
#define PLT_ENEMY   14
#define PLT_UNKNOWN 15
#define PLT_BALL    12
#define PLT_POINTER 12

extern unsigned int player_fn;
extern unsigned int plointer_fn;
extern unsigned int ball_fn;

#endif 
