#include <ozrp_ws.h>

int end_flag;

void text_test();
void ozrp_display_init();

#define CHANNEL1_ON 0x1
#define SPEAKER_ON  0x1
#define SPEAKER_VOLUME_4 0
#define CHANNEL1    0
void 
ozrp_sound_init()
{
  static unsigned char wv[] = {
    0x31, 0x74, 0xc9, 0xff, 0xff
  };
  sound_init();
  sound_set_channel(CHANNEL1_ON);
  sound_set_output(SPEAKER_ON | SPEAKER_VOLUME_4);
  sound_set_wave(CHANNEL1, wv);
}

extern int pointer_mode;
void
main(int argc, char *argv[])
{
  /*
    field_init();
  */
  ozrp_display_init();
  ozrp_text_init();
  ozrp_put_string(0, 0, "OZRP CONNECT START");
  ozrp_put_string(1, 0, " -WS QUIT  A+START");

  while (!(key_press_check() & KEY_START)) {
    ;
  }
  ozrp_put_string(0, 0, "                  ");
  ozrp_put_string(1, 0, "                  ");

  ozrp_comm_init();
  /*
    ozrp_sound_init();
    sound_set_pitch(CHANNEL1, 1);
  */
  pointer_mode = 1;
  end_flag = 0;
  while (!end_flag) {
    key_check();
    sys_wait(1);
  }

  ozrp_comm_close();
}
